OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.EXT.CoordinateFrame

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_coordinate_frame extension, see http://www.opengl.org/registry/specs/EXT/coordinate_frame.txt.

Synopsis

- glTangent3b :: GLbyte -> IO ()
- glTangent3d :: GLdouble -> IO ()
- glTangent3f :: GLfloat -> IO ()
- glTangent3i :: GLint -> IO ()
- glTangent3s :: GLshort -> IO ()
- glTangent3bv :: Ptr GLbyte -> IO ()
- glTangent3dv :: Ptr GLdouble -> IO ()
- glTangent3fv :: Ptr GLfloat -> IO ()
- glTangent3iv :: Ptr GLint -> IO ()
- glTangent3sv :: Ptr GLshort -> IO ()
- glBinormal3b :: GLbyte -> IO ()
- glBinormal3d :: GLdouble -> IO ()
- glBinormal3f :: GLfloat -> IO ()
- glBinormal3i :: GLint -> IO ()
- glBinormal3s :: GLshort -> IO ()
- glBinormal3bv :: Ptr GLbyte -> IO ()
- glBinormal3dv :: Ptr GLdouble -> IO ()
- glBinormal3fv :: Ptr GLfloat -> IO ()
- glBinormal3iv :: Ptr GLint -> IO ()
- glBinormal3sv :: Ptr GLshort -> IO ()
- glTangentPointer :: GLenum -> GLsizei -> Ptr a -> IO ()
- glBinormalPointer :: GLenum -> GLsizei -> Ptr a -> IO ()
- gl_TANGENT_ARRAY :: GLenum
- gl_BINORMAL_ARRAY :: GLenum
- gl_CURRENT_TANGENT :: GLenum
- gl_CURRENT_BINORMAL :: GLenum
- gl_TANGENT_ARRAY_TYPE :: GLenum
- gl_TANGENT_ARRAY_STRIDE :: GLenum
- gl_BINORMAL_ARRAY_TYPE :: GLenum
- gl_BINORMAL_ARRAY_STRIDE :: GLenum
- gl_TANGENT_ARRAY_POINTER :: GLenum
- gl_BINORMAL_ARRAY_POINTER :: GLenum
- gl_MAP1_TANGENT :: GLenum
- gl_MAP2_TANGENT :: GLenum
- gl_MAP1_BINORMAL :: GLenum
- gl_MAP2_BINORMAL :: GLenum

# Functions

glTangent3b :: GLbyte -> IO ()

glTangent3d :: GLdouble -> IO ()

glTangent3f :: GLfloat -> IO ()

glTangent3i :: GLint -> IO ()

glTangent3s :: GLshort -> IO ()

glTangent3bv :: Ptr GLbyte -> IO ()

glTangent3dv :: Ptr GLdouble -> IO ()

glTangent3fv :: Ptr GLfloat -> IO ()

glTangent3iv :: Ptr GLint -> IO ()

glTangent3sv :: Ptr GLshort -> IO ()

glBinormal3b :: GLbyte -> IO ()

glBinormal3d :: GLdouble -> IO ()

glBinormal3f :: GLfloat -> IO ()

glBinormal3i :: GLint -> IO ()

glBinormal3s :: GLshort -> IO ()

glBinormal3bv :: Ptr GLbyte -> IO ()

glBinormal3dv :: Ptr GLdouble -> IO ()

glBinormal3fv :: Ptr GLfloat -> IO ()

glBinormal3iv :: Ptr GLint -> IO ()

glBinormal3sv :: Ptr GLshort -> IO ()

glTangentPointer :: GLenum -> GLsizei -> Ptr a -> IO ()

glBinormalPointer :: GLenum -> GLsizei -> Ptr a -> IO ()

# Tokens

gl_TANGENT_ARRAY :: GLenum

gl_BINORMAL_ARRAY :: GLenum

gl_CURRENT_TANGENT :: GLenum

gl_CURRENT_BINORMAL :: GLenum

gl_TANGENT_ARRAY_TYPE :: GLenum

gl_TANGENT_ARRAY_STRIDE :: GLenum

gl_BINORMAL_ARRAY_TYPE :: GLenum

gl_BINORMAL_ARRAY_STRIDE :: GLenum

gl_TANGENT_ARRAY_POINTER :: GLenum

gl_BINORMAL_ARRAY_POINTER :: GLenum

gl_MAP1_TANGENT :: GLenum

gl_MAP2_TANGENT :: GLenum

gl_MAP1_BINORMAL :: GLenum

gl_MAP2_BINORMAL :: GLenum